Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233205 - yumdownload don't work with --resolve option
Summary: yumdownload don't work with --resolve option
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: 6
Hardware: noarch
OS: Linux
medium
high
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-20 21:07 UTC by Davidson Paulo
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: yum-3.0.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-21 10:28:49 UTC


Attachments (Terms of Use)

Description Davidson Paulo 2007-03-20 21:07:57 UTC
Description of problem:

Yumdownloader crashes when used with --resolve option.

Version-Release number of selected component (if applicable):

yum-utils-1.0.3-1.fc6

How reproducible:

Just try to use yumdownloader --resolve [any package]

Steps to Reproduce:
1. run command "yumdownloader yum" (will work)
2. run command "yumdownloader --resolve yum" (won't work)
3.
  
Actual results:

Traceback (most recent call last):
 File "/usr/bin/yumdownloader", line 191, in ?
   main()
 File "/usr/bin/yumdownloader", line 159, in main
   if not pkg in toDownload:
 File "/usr/lib/python2.4/site-packages/yum/packages.py", line 191, in __eq__
   if comparePoEVR(self, other) == 0 and self.arch == other.arch and
self.name == other.name:
 File "/usr/lib/python2.4/site-packages/yum/packages.py", line 35, in
comparePoEVR
   (e2, v2, r2) = (po2.epoch, po2.ver, po2.rel)
AttributeError: TransactionMember instance has no attribute 'ver'

Expected results:

Download of package and it's dependencies.

Additional info:

$ yum list installed 'rpm*' 'yum*'
Loading "versionlock" plugin
Loading "installonlyn" plugin
Installed Packages
rpm.i386                                 4.4.2-32               installed
rpm-libs.i386                            4.4.2-32               installed
rpm-python.i386                          4.4.2-32               installed
yum.noarch                               3.0.3-1.fc6            installed
yum-metadata-parser.i386                 1.0.3-1.fc6            installed
yum-utils.noarch                         1.0.3-1.fc6            installed
yum-versionlock.noarch                   1.0.3-1.fc6            installed

Comment 1 Tim Lauridsen 2007-03-21 10:28:49 UTC
The Traceback is fixed in yum 3.0.4, it should be released to FC6.



Note You need to log in before you can comment on or make changes to this bug.